<?php

class Entox_Elementor {
	
	function __construct() {
            
		// Register Header Footer Category in Pane
	    add_action( 'elementor/elements/categories_registered', array( $this, 'entox_add_category' ) );

	    add_action( 'elementor/frontend/after_register_scripts', array( $this, 'entox_enqueue_scripts' ) );
		
		add_action( 'elementor/widgets/register', array( $this, 'entox_include_widgets' ) );
		
		add_filter( 'elementor/controls/animations/additional_animations', array( $this, 'entox_add_animations'), 10 , 0 );
		
		
	}

	
	function entox_add_category(  ) {

	    \Elementor\Plugin::instance()->elements_manager->add_category(
	        'hf',
	        [
	            'title' => __( 'Header Footer', 'entox' ),
	            'icon' => 'fa fa-plug',
	        ]
	    );

	    \Elementor\Plugin::instance()->elements_manager->add_category(
	        'entox',
	        [
	            'title' => __( 'Entox', 'entox' ),
	            'icon' => 'fa fa-plug',
	        ]
	    );

	}

	function entox_enqueue_scripts(){
        
        $files = glob(get_theme_file_path('/assets/js/elementor/*.js'));
        
        foreach ($files as $file) {
            $file_name = wp_basename($file);
            $handle    = str_replace(".js", '', $file_name);
            $src       = get_theme_file_uri('/assets/js/elementor/' . $file_name);
            if (file_exists($file)) {
                wp_register_script( 'entox-elementor-' . $handle, $src, ['jquery'], false, true );
            }
        }


	}

	function entox_include_widgets( $widgets_manager ) {
        $files = glob(get_theme_file_path('elementor/widgets/*.php'));
        foreach ($files as $file) {
            $file = get_theme_file_path('elementor/widgets/' . wp_basename($file));
            if (file_exists($file)) {
                require_once $file;
            }
        }
    }

    function entox_add_animations(){
    	$animations = array(
            'Entox' => array(
                'ova-move-up' 		=> esc_html__('Move Up', 'entox'),
                'ova-move-down' 	=> esc_html__('Move Down', 'entox' ),
                'ova-move-left'     => esc_html__('Move Left', 'entox'),
                'ova-move-right'    => esc_html__('Move Right', 'entox'),
                'ova-scale-up'      => esc_html__('Scale Up', 'entox'),
                'ova-flip'          => esc_html__('Flip', 'entox'),
                'ova-helix'         => esc_html__('Helix', 'entox'),
                'ova-popup'			=> esc_html__('PopUp','entox' )
            ),
        );

        return $animations;
    }

    

}

return new Entox_Elementor();





