<?php

defined( 'ABSPATH' ) || exit;

global $product;

$id = $product->get_id();

if ( ! comments_open() ) {
	return;
}

$action = site_url( '/wp-comments-post.php' );
$count 	= $product->get_review_count();

?>

<?php if ( $product->get_type() === 'ovabrw_car_rental' ): ?>
	<?php if ( $count && wc_review_ratings_enabled() ): ?>
		<div class="title-review">
			<h2 class="title">
				<?php echo esc_html($count) . esc_html__( ' Reviews', 'entox' ); ?>
			</h2>
		</div>
		<div class="comments">
			<ul class="commentlist">
				<?php wp_list_comments( apply_filters( 'entox_product_review_list_args', array( 'callback' => 'entox_wc_comments' ) ) ); ?>
			</ul>

			<?php
				if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) :
					echo '<nav class="woocommerce-pagination">';
					paginate_comments_links(
						apply_filters(
							'woocommerce_comment_pagination_args',
							array(
								'prev_text' => is_rtl() ? '&rarr;' : '&larr;',
								'next_text' => is_rtl() ? '&larr;' : '&rarr;',
								'type'      => 'list',
							)
						)
					);
					echo '</nav>';
				endif;
			?>
		</div>
	<?php endif; ?>
	<?php if ( get_option( 'comment_registration' ) && ! is_user_logged_in() ): 
		echo sprintf(
            '<p class="must-log-in">%s</p>',
            sprintf(
                __( 'You must be <a href="%s">logged in</a> to post a comment.', 'entox' ),
                wc_get_page_permalink( 'myaccount' )
            )
        );
	?>

	<?php else: 
		$purchase = wc_customer_bought_product( '', get_current_user_id(), $id );
	?>
		<?php if ( $purchase || apply_filters( 'entox_review_purchased', false ) ): ?>
			<div id="reviews" class="entox-add-review">
				<?php if ( get_option( 'woocommerce_review_rating_verification_required' ) === 'no' || wc_customer_bought_product( '', get_current_user_id(), $product->get_id() ) ) : ?>
					<div id="review_form_wrapper">
						<div id="review_form">
							<div id="respond" class="comment-respond">
								<h2 class="comment-reply-title"><?php esc_html_e( 'Add Review', 'entox' ); ?></h2>
								<form action="<?php echo esc_url( $action ); ?>" method="post" id="commentform" class="comment-form" novalidate="">
									<?php if ( wc_review_ratings_enabled() ): ?>
										<div class="comment-form-rating">
											<select name="rating" id="rating" required>
												<option value=""><?php esc_html_e( 'Rate&hellip;', 'entox' ) ?></option>
												<option value="5"><?php esc_html_e( 'Perfect', 'entox' ); ?></option>
												<option value="4"><?php esc_html_e( 'Good', 'entox' ); ?></option>
												<option value="3"><?php esc_html_e( 'Average', 'entox' ); ?></option>
												<option value="2"><?php esc_html_e( 'Not that bad', 'entox' ); ?></option>
												<option value="1"><?php esc_html_e( 'Very poor', 'entox' ) ?></option>
											</select>
										</div>
									<?php endif; ?>

									<div class="name-email">
										<input id="author" 
											   name="author" 
											   type="text" 
											   value="" 
											   placeholder="<?php esc_attr_e( 'Your name', 'entox' ); ?>" 
											   required />
										<input id="email" 
											   name="email" 
											   type="email" 
											   value="" 
											   placeholder="<?php esc_attr_e( 'Email address', 'entox' ); ?>" 
											   required />
									</div>
									<div class="form-comment">
										<textarea id="comment" 
												  name="comment" 
												  rows="4" 
												  cols="50" 
												  placeholder="<?php esc_attr_e( 'Write comment', 'entox' ); ?>" 
												  required></textarea>
									</div>
									<div class="form-submit">
										<input name="submit" type="submit" id="submit" class="submit" value="<?php esc_html_e( 'Submit Review', 'entox' ); ?>">
										<input type="hidden" name="comment_post_ID" value="<?php echo esc_attr( $id ); ?>" id="comment_post_ID">
										<input type="hidden" name="comment_parent" id="comment_parent" value="0">
									</div>
								</form>
							</div>
						</div>
					</div>
				<?php else : ?>
					<p class="woocommerce-verification-required"><?php esc_html_e( 'Only logged in customers who have purchased this product may leave a review.', 'entox' ); ?></p>
				<?php endif; ?>

				<div class="clear"></div>
			</div>
		<?php else: 
			echo sprintf(
	            '<p class="must-purchase">%s</p>',
	            sprintf(
	                __( 'You must <a href="%s">purchase</a> the product to post a comment.', 'entox' ), '#ova-purchase'
	            )
	        );
		?>
		<?php endif; ?>
	<?php endif; ?>
<?php else: ?>
	<div id="reviews" class="woocommerce-Reviews">
		<div id="comments">
			<h2 class="woocommerce-Reviews-title">
				<?php
				$count = $product->get_review_count();
				if ( $count && wc_review_ratings_enabled() ) {
					/* translators: 1: reviews count 2: product name */
					$reviews_title = sprintf( esc_html( _n( '%1$s review for %2$s', '%1$s reviews for %2$s', $count, 'entox' ) ), esc_html( $count ), '<span>' . get_the_title() . '</span>' );
					echo apply_filters( 'woocommerce_reviews_title', $reviews_title, $count, $product ); // WPCS: XSS ok.
				} else {
					esc_html_e( 'Reviews', 'entox' );
				}
				?>
			</h2>

			<?php if ( have_comments() ) : ?>
				<ol class="commentlist">
					<?php wp_list_comments( apply_filters( 'woocommerce_product_review_list_args', array( 'callback' => 'woocommerce_comments' ) ) ); ?>
				</ol>

				<?php
				if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) :
					echo '<nav class="woocommerce-pagination">';
					paginate_comments_links(
						apply_filters(
							'woocommerce_comment_pagination_args',
							array(
								'prev_text' => is_rtl() ? '&rarr;' : '&larr;',
								'next_text' => is_rtl() ? '&larr;' : '&rarr;',
								'type'      => 'list',
							)
						)
					);
					echo '</nav>';
				endif;
				?>
			<?php else : ?>
				<p class="woocommerce-noreviews"><?php esc_html_e( 'There are no reviews yet.', 'entox' ); ?></p>
			<?php endif; ?>
		</div>

		<?php if ( get_option( 'woocommerce_review_rating_verification_required' ) === 'no' || wc_customer_bought_product( '', get_current_user_id(), $product->get_id() ) ) : ?>
			<div id="review_form_wrapper">
				<div id="review_form">
					<?php
					$commenter    = wp_get_current_commenter();
					$comment_form = array(
						/* translators: %s is product title */
						'title_reply'         => have_comments() ? esc_html__( 'Add a review', 'entox' ) : sprintf( esc_html__( 'Be the first to review &ldquo;%s&rdquo;', 'entox' ), get_the_title() ),
						/* translators: %s is product title */
						'title_reply_to'      => esc_html__( 'Leave a Reply to %s', 'entox' ),
						'title_reply_before'  => '<span id="reply-title" class="comment-reply-title">',
						'title_reply_after'   => '</span>',
						'comment_notes_after' => '',
						'label_submit'        => esc_html__( 'Submit', 'entox' ),
						'logged_in_as'        => '',
						'comment_field'       => '',
					);

					$name_email_required = (bool) get_option( 'require_name_email', 1 );
					$fields              = array(
						'author' => array(
							'label'    => __( 'Name', 'entox' ),
							'type'     => 'text',
							'value'    => $commenter['comment_author'],
							'required' => $name_email_required,
						),
						'email'  => array(
							'label'    => __( 'Email', 'entox' ),
							'type'     => 'email',
							'value'    => $commenter['comment_author_email'],
							'required' => $name_email_required,
						),
					);

					$comment_form['fields'] = array();

					foreach ( $fields as $key => $field ) {
						$field_html  = '<p class="comment-form-' . esc_attr( $key ) . '">';
						$field_html .= '<label for="' . esc_attr( $key ) . '">' . esc_html( $field['label'] );

						if ( $field['required'] ) {
							$field_html .= '&nbsp;<span class="required">*</span>';
						}

						$field_html .= '</label><input id="' . esc_attr( $key ) . '" name="' . esc_attr( $key ) . '" type="' . esc_attr( $field['type'] ) . '" value="' . esc_attr( $field['value'] ) . '" size="30" ' . ( $field['required'] ? 'required' : '' ) . ' /></p>';

						$comment_form['fields'][ $key ] = $field_html;
					}

					$account_page_url = wc_get_page_permalink( 'myaccount' );
					if ( $account_page_url ) {
						/* translators: %s opening and closing link tags respectively */
						$comment_form['must_log_in'] = '<p class="must-log-in">' . sprintf( esc_html__( 'You must be %1$slogged in%2$s to post a review.', 'entox' ), '<a href="' . esc_url( $account_page_url ) . '">', '</a>' ) . '</p>';
					}

					if ( wc_review_ratings_enabled() ) {
						$comment_form['comment_field'] = '<div class="comment-form-rating"><label for="rating">' . esc_html__( 'Your rating', 'entox' ) . ( wc_review_ratings_required() ? '&nbsp;<span class="required">*</span>' : '' ) . '</label><select name="rating" id="rating" required>
							<option value="">' . esc_html__( 'Rate&hellip;', 'entox' ) . '</option>
							<option value="5">' . esc_html__( 'Perfect', 'entox' ) . '</option>
							<option value="4">' . esc_html__( 'Good', 'entox' ) . '</option>
							<option value="3">' . esc_html__( 'Average', 'entox' ) . '</option>
							<option value="2">' . esc_html__( 'Not that bad', 'entox' ) . '</option>
							<option value="1">' . esc_html__( 'Very poor', 'entox' ) . '</option>
						</select></div>';
					}

					$comment_form['comment_field'] .= '<p class="comment-form-comment"><label for="comment">' . esc_html__( 'Your review', 'entox' ) . '&nbsp;<span class="required">*</span></label><textarea id="comment" name="comment" cols="45" rows="8" required></textarea></p>';

					comment_form( apply_filters( 'woocommerce_product_review_comment_form_args', $comment_form ) );
					?>
				</div>
			</div>
		<?php else : ?>
			<p class="woocommerce-verification-required"><?php esc_html_e( 'Only logged in customers who have purchased this product may leave a review.', 'entox' ); ?></p>
		<?php endif; ?>

		<div class="clear"></div>
	</div>
<?php endif; ?>
